complete -c py-spy -n "__fish_use_subcommand" -s h -l help -d 'Prints help information'
complete -c py-spy -n "__fish_use_subcommand" -s V -l version -d 'Prints version information'
complete -c py-spy -n "__fish_use_subcommand" -f -a "record" -d 'Records stack trace information to a flamegraph, speedscope or raw file'
complete -c py-spy -n "__fish_use_subcommand" -f -a "top" -d 'Displays a top like view of functions consuming CPU'
complete -c py-spy -n "__fish_use_subcommand" -f -a "dump" -d 'Dumps stack traces for a target program to stdout'
complete -c py-spy -n "__fish_use_subcommand" -f -a "completions" -d 'Generate shell completions'
complete -c py-spy -n "__fish_use_subcommand" -f -a "help" -d 'Prints this message or the help of the given subcommand(s)'
complete -c py-spy -n "__fish_seen_subcommand_from record" -s p -l pid -d 'PID of a running python program to spy on'
complete -c py-spy -n "__fish_seen_subcommand_from record" -s o -l output -d 'Output filename'
complete -c py-spy -n "__fish_seen_subcommand_from record" -s f -l format -d 'Output file format' -r -f -a "flamegraph raw speedscope"
complete -c py-spy -n "__fish_seen_subcommand_from record" -s d -l duration -d 'The number of seconds to sample for'
complete -c py-spy -n "__fish_seen_subcommand_from record" -s r -l rate -d 'The number of samples to collect per second'
complete -c py-spy -n "__fish_seen_subcommand_from record" -l full-filenames -d 'Show full Python filenames, instead of shortening to show only the package part'
complete -c py-spy -n "__fish_seen_subcommand_from record" -s s -l subprocesses -d 'Profile subprocesses of the original process'
complete -c py-spy -n "__fish_seen_subcommand_from record" -s F -l function -d 'Aggregate samples by function\'s first line number, instead of current line number'
complete -c py-spy -n "__fish_seen_subcommand_from record" -l nolineno -d 'Do not show line numbers'
complete -c py-spy -n "__fish_seen_subcommand_from record" -s t -l threads -d 'Show thread ids in the output'
complete -c py-spy -n "__fish_seen_subcommand_from record" -s g -l gil -d 'Only include traces that are holding on to the GIL'
complete -c py-spy -n "__fish_seen_subcommand_from record" -s i -l idle -d 'Include stack traces for idle threads'
complete -c py-spy -n "__fish_seen_subcommand_from record" -l capture -d 'Captures output from child process'
complete -c py-spy -n "__fish_seen_subcommand_from record" -l hideprogress -d 'Hides progress bar (useful for showing error output on record)'
complete -c py-spy -n "__fish_seen_subcommand_from record" -l nonblocking -d 'Don\'t pause the python process when collecting samples. Setting this option will reduce the performance impact of sampling, but may lead to inaccurate results'
complete -c py-spy -n "__fish_seen_subcommand_from record" -s h -l help -d 'Prints help information'
complete -c py-spy -n "__fish_seen_subcommand_from record" -s V -l version -d 'Prints version information'
complete -c py-spy -n "__fish_seen_subcommand_from top" -s p -l pid -d 'PID of a running python program to spy on'
complete -c py-spy -n "__fish_seen_subcommand_from top" -s r -l rate -d 'The number of samples to collect per second'
complete -c py-spy -n "__fish_seen_subcommand_from top" -s s -l subprocesses -d 'Profile subprocesses of the original process'
complete -c py-spy -n "__fish_seen_subcommand_from top" -l full-filenames -d 'Show full Python filenames, instead of shortening to show only the package part'
complete -c py-spy -n "__fish_seen_subcommand_from top" -s g -l gil -d 'Only include traces that are holding on to the GIL'
complete -c py-spy -n "__fish_seen_subcommand_from top" -s i -l idle -d 'Include stack traces for idle threads'
complete -c py-spy -n "__fish_seen_subcommand_from top" -l nonblocking -d 'Don\'t pause the python process when collecting samples. Setting this option will reduce the performance impact of sampling, but may lead to inaccurate results'
complete -c py-spy -n "__fish_seen_subcommand_from top" -s h -l help -d 'Prints help information'
complete -c py-spy -n "__fish_seen_subcommand_from top" -s V -l version -d 'Prints version information'
complete -c py-spy -n "__fish_seen_subcommand_from dump" -s p -l pid -d 'PID of a running python program to spy on'
complete -c py-spy -n "__fish_seen_subcommand_from dump" -l full-filenames -d 'Show full Python filenames, instead of shortening to show only the package part'
complete -c py-spy -n "__fish_seen_subcommand_from dump" -s l -l locals -d 'Show local variables for each frame. Passing multiple times (-ll) increases verbosity'
complete -c py-spy -n "__fish_seen_subcommand_from dump" -s j -l json -d 'Format output as JSON'
complete -c py-spy -n "__fish_seen_subcommand_from dump" -l nonblocking -d 'Don\'t pause the python process when collecting samples. Setting this option will reduce the performance impact of sampling, but may lead to inaccurate results'
complete -c py-spy -n "__fish_seen_subcommand_from dump" -s h -l help -d 'Prints help information'
complete -c py-spy -n "__fish_seen_subcommand_from dump" -s V -l version -d 'Prints version information'
complete -c py-spy -n "__fish_seen_subcommand_from completions" -s h -l help -d 'Prints help information'
complete -c py-spy -n "__fish_seen_subcommand_from completions" -s V -l version -d 'Prints version information'
complete -c py-spy -n "__fish_seen_subcommand_from help" -s h -l help -d 'Prints help information'
complete -c py-spy -n "__fish_seen_subcommand_from help" -s V -l version -d 'Prints version information'
